version: "3"

services:
  collabnet:
    build: ./
    image: dcagatay/subversion-edge:latest
    container_name: CollabNet-SVN
    volumes:
      # Configuration and server data
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/julien_docker_config/collabnetsvn:/opt/csvn/data
      # The repositories
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/repositories/svn:/opt/csvn/data/repositories
    ports:
      - 3343:3343
      - 18080:18080
    restart: unless-stopped
